# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.15

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/bin/cmake

# The command to remove a file.
RM = /usr/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/book/hisi3518_lora

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/book/hisi3518_lora/cmake-build-debug

# Include any dependencies generated for this target.
include example/ali/CMakeFiles/ali_example.dir/depend.make

# Include the progress variables for this target.
include example/ali/CMakeFiles/ali_example.dir/progress.make

# Include the compile flags for this target's objects.
include example/ali/CMakeFiles/ali_example.dir/flags.make

example/ali/CMakeFiles/ali_example.dir/ali.c.o: example/ali/CMakeFiles/ali_example.dir/flags.make
example/ali/CMakeFiles/ali_example.dir/ali.c.o: ../example/ali/ali.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object example/ali/CMakeFiles/ali_example.dir/ali.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/example/ali && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/ali_example.dir/ali.c.o   -c /home/book/hisi3518_lora/example/ali/ali.c

example/ali/CMakeFiles/ali_example.dir/ali.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/ali_example.dir/ali.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/example/ali && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/example/ali/ali.c > CMakeFiles/ali_example.dir/ali.c.i

example/ali/CMakeFiles/ali_example.dir/ali.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/ali_example.dir/ali.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/example/ali && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/example/ali/ali.c -o CMakeFiles/ali_example.dir/ali.c.s

# Object files for target ali_example
ali_example_OBJECTS = \
"CMakeFiles/ali_example.dir/ali.c.o"

# External object files for target ali_example
ali_example_EXTERNAL_OBJECTS =

../build/bin/ali_example: example/ali/CMakeFiles/ali_example.dir/ali.c.o
../build/bin/ali_example: example/ali/CMakeFiles/ali_example.dir/build.make
../build/bin/ali_example: ../build/lib/libmc-mqttclient.so.1.2.0
../build/bin/ali_example: ../build/lib/libmc-mqtt.so.1.2.0
../build/bin/ali_example: ../build/lib/libmc-network.so.1.2.0
../build/bin/ali_example: ../build/lib/libmc-mbedtls.so.1.2.0
../build/bin/ali_example: ../build/lib/libmc-platform.so.1.2.0
../build/bin/ali_example: ../build/lib/libmc-common.so.1.2.0
../build/bin/ali_example: ../build/lib/libmc-log.so.1.2.0
../build/bin/ali_example: example/ali/CMakeFiles/ali_example.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking C executable ../../../build/bin/ali_example"
	cd /home/book/hisi3518_lora/cmake-build-debug/example/ali && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/ali_example.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
example/ali/CMakeFiles/ali_example.dir/build: ../build/bin/ali_example

.PHONY : example/ali/CMakeFiles/ali_example.dir/build

example/ali/CMakeFiles/ali_example.dir/clean:
	cd /home/book/hisi3518_lora/cmake-build-debug/example/ali && $(CMAKE_COMMAND) -P CMakeFiles/ali_example.dir/cmake_clean.cmake
.PHONY : example/ali/CMakeFiles/ali_example.dir/clean

example/ali/CMakeFiles/ali_example.dir/depend:
	cd /home/book/hisi3518_lora/cmake-build-debug && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/book/hisi3518_lora /home/book/hisi3518_lora/example/ali /home/book/hisi3518_lora/cmake-build-debug /home/book/hisi3518_lora/cmake-build-debug/example/ali /home/book/hisi3518_lora/cmake-build-debug/example/ali/CMakeFiles/ali_example.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : example/ali/CMakeFiles/ali_example.dir/depend

